## ros-indigo-dense-laser-assembler 1.0.9

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(dense_laser_assembler)
find_package(catkin REQUIRED COMPONENTS roscpp std_msgs sensor_msgs calibration_msgs settlerlib roscpp_serialization)


include_directories(include ${catkin_INCLUDE_DIRS} ${BOOST_INCLUDE_DIRS})


#set(EXECUTABLE_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/bin)
#set(LIBRARY_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/lib)

catkin_package(
    DEPENDS 
    CATKIN_DEPENDS roscpp roscpp_serialization calibration_msgs sensor_msgs settlerlib std_msgs# TODO
    INCLUDE_DIRS include/${PROJECT_NAME}/ include # TODO include
    LIBRARIES dense_laser_assembler
)

catkin_add_gtest(test test/dense_laser_assembler_unittest.cpp)
target_link_libraries(test dense_laser_assembler ${Boost_LIBRARIES} ${catkin_LIBRARIES})

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  PATTERN ".svn" EXCLUDE
)


install(PROGRAMS scripts/assembler_node.py scripts/laser_image_node.py DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

add_library(dense_laser_assembler src/dense_laser_assembler.cpp)
target_link_libraries(dense_laser_assembler ${catkin_LIBRARIES} ${Boost_LIBRARIES} ${roscpp_serialization_LIBRARIES})

add_executable(dense_laser_imager src/dense_laser_imager.cpp)
target_link_libraries(dense_laser_imager ${roscpp_serialization_LIBRARIES} ${catkin_LIBRARIES})

install(TARGETS dense_laser_assembler
ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-indigo-dense-laser-assembler (1.0.9-0trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Devon Ash <dash@clearpathrobotics.com>  Sat, 10 Mar 2018 21:30:21 -0000

ros-indigo-dense-laser-assembler (1.0.7-0trusty) trusty; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Fri, 06 Feb 2015 08:00:00 -0000

ros-indigo-dense-laser-assembler (1.0.6-0trusty) trusty; urgency=high

  * Changelogs
  * Contributors: TheDash

 -- Devon Ash <dash@clearpathrobotics.com>  Thu, 04 Dec 2014 08:00:00 -0000

ros-indigo-dense-laser-assembler (1.0.5-0trusty) trusty; urgency=high

  * Changed lib destination for dense_laser_snapshotter
  * Removed mainpage.dox for *
  * Contributors: TheDash

 -- Devon Ash <dash@clearpathrobotics.com>  Tue, 14 Oct 2014 07:00:00 -0000

ros-indigo-dense-laser-assembler (1.0.4-0trusty) trusty; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Wed, 17 Sep 2014 07:00:00 -0000

ros-indigo-dense-laser-assembler (1.0.3-0trusty) trusty; urgency=high

  * Added lib export for pr2_laser_snapshotter
  * Added dense_laser_assembler library outputs to CMakeList
  * Contributors: TheDash

 -- Devon Ash <dash@clearpathrobotics.com>  Thu, 11 Sep 2014 07:00:00 -0000

ros-indigo-dense-laser-assembler (1.0.1-0trusty) trusty; urgency=high

  * Works with catkin_lint
  * Added hydro devel, compiles and makes in hydro
  * Removed executables
  * Catkinized and compiled dense_laser_assembler
  * Removed CMake in test? what?
  * Initial catkinization of dense_laser_assembler
  * Contributors: TheDash

 -- Devon Ash <dash@clearpathrobotics.com>  Mon, 08 Sep 2014 07:00:00 -0000

=== debian/control ===
Source: ros-indigo-dense-laser-assembler
Section: misc
Priority: extra
Maintainer: Devon Ash <dash@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-calibration-msgs, ros-indigo-catkin, ros-indigo-roscpp, ros-indigo-roscpp-serialization, ros-indigo-sensor-msgs, ros-indigo-settlerlib, ros-indigo-std-msgs
Homepage: http://www.ros.org/wiki/dense_laser_assembler
Standards-Version: 3.9.2

Package: ros-indigo-dense-laser-assembler
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-calibration-msgs, ros-indigo-roscpp, ros-indigo-roscpp-serialization, ros-indigo-sensor-msgs, ros-indigo-settlerlib, ros-indigo-std-msgs
Description: Stores streaming data from a laser sensor in a dense representation.
 This allows the user to do 'image-like' processing on the data, and can also be used for very fast approx neighborhood searches. This package is still experimental and unstable. Expect its APIs to change.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-dense-laser-assembler//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
